Skip to main content
`Ctrl`+`K`

# pandas.read_spss

pandas.read_spss(path, usecols=None, convert_categoricals=True, dtype_backend=<no_default>)

  Load an SPSS file from the file path, returning a DataFrame.

  Parameters:
    path str or Path

      File path.

    usecols list-like, optional

      Return a subset of the columns. If None, return all columns.

    convert_categoricals bool, default is True

      Convert categorical columns into pd.Categorical.

    dtype_backend{‘numpy_nullable’, ‘pyarrow’}, default ‘numpy_nullable’

      Back-end data type applied to the resultant `DataFrame` (still experimental). Behaviour is as follows:

      - `"numpy_nullable"`: returns nullable-dtype-backed `DataFrame` (default).

      - `"pyarrow"`: returns pyarrow-backed nullable `ArrowDtype` DataFrame.

      Added in version 2.0.

  Returns:
    DataFrame

  Examples

      >>> df = pd.read_spss("spss_data.sav")